Trying to make an HTML5 app

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Trying to make an HTML5 app

pink
I am trying to sell the powers that be on getting an HTML5 license, so I made up a quick little survey app, but I cannot successfully compile and run it. I'm time limited here, I need to get this working by tomorrow morning if I hope to get my boss to shell out some money...

I have a few widgets, namely SVG icons, NavBar, and Segmented Controls. Otherwise, just some buttons and a scrollbar, minimal scripting

I have tried compiling with the Community versions of Livecode including: 8.1.1, 8.1.2, 8.1.3 on both Mac and Windows.

I keep get the error "To use dlopen, you need to use Emscripten's linking support, see https://github.com/kripken/emscripten/wiki/Linking"

on MacOS,  using LC Community 8.1.4 RC-1: Livecode crashes when compiling

I've tried numerous stacks, and none of them compile correctly for me, so here are my questions as a possible HTML5 customer:
1. What do I need to do to get past the error above?
2. Does the commercial version of HTML5 work better (or at least differently) than the Community version?
3. Is there a "best" version of Livecode to use for compiling HTML5 apps?
---
Greg (pink) Miller
mad, pink and dangerous to code
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Trying to make an HTML5 app

Mark Waddingham via use-livecode
Using the community license - 9.0.0 (dp 5) - I couldn’t get a HTML5 app to run if it included any SVG widgets. I’m not sure if this problem extends to other widget types or not but as a workaround I converted all the SVGs to bitmaps. I’d try taking out the SVGs to start with and see if that helps.

Terry...

On 7/04/2017 5:47 am, "use-livecode on behalf of pink via use-livecode" <[hidden email] on behalf of [hidden email]> wrote:

    I am trying to sell the powers that be on getting an HTML5 license, so I made
    up a quick little survey app, but I cannot successfully compile and run it.
    I'm time limited here, I need to get this working by tomorrow morning if I
    hope to get my boss to shell out some money...
   
    I have a few widgets, namely SVG icons, NavBar, and Segmented Controls.
    Otherwise, just some buttons and a scrollbar, minimal scripting
   
    I have tried compiling with the Community versions of Livecode including:
    8.1.1, 8.1.2, 8.1.3 on both Mac and Windows.
   
    I keep get the error "To use dlopen, you need to use Emscripten's linking
    support, see https://github.com/kripken/emscripten/wiki/Linking"
   
    on MacOS,  using LC Community 8.1.4 RC-1: Livecode crashes when compiling
   
    I've tried numerous stacks, and none of them compile correctly for me, so
    here are my questions as a possible HTML5 customer:
    1. What do I need to do to get past the error above?
    2. Does the commercial version of HTML5 work better (or at least
    differently) than the Community version?
    3. Is there a "best" version of Livecode to use for compiling HTML5 apps?
   
   
   
    -----
    ---
    Greg (pink) Miller
    mad, pink and dangerous to code
    --
    View this message in context: http://runtime-revolution.278305.n4.nabble.com/Trying-to-make-an-HTML5-app-tp4713775.html
    Sent from the Revolution - User mailing list archive at http://Nabble.com.
   
    _______________________________________________
    use-livecode mailing list
    [hidden email]
    Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
    http://lists.runrev.com/mailman/listinfo/use-livecode
   
   

_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Loading...